'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _postcss = require('postcss');

var _postcss2 = _interopRequireDefault(_postcss);

var _postcssModulesLocalByDefault = require('postcss-modules-local-by-default');

var _postcssModulesLocalByDefault2 = _interopRequireDefault(_postcssModulesLocalByDefault);

var _postcssModulesExtractImports = require('postcss-modules-extract-imports');

var _postcssModulesExtractImports2 = _interopRequireDefault(_postcssModulesExtractImports);

var _postcssModulesScope = require('postcss-modules-scope');

var _postcssModulesScope2 = _interopRequireDefault(_postcssModulesScope);

var _parser = require('./parser');

var _parser2 = _interopRequireDefault(_parser);

exports['default'] = {
  // These three plugins are aliased under this package for simplicity.
  localByDefault: _postcssModulesLocalByDefault2['default'],
  extractImports: _postcssModulesExtractImports2['default'],
  scope: _postcssModulesScope2['default'],

  // The default set of plugins
  plugins: [_postcssModulesLocalByDefault2['default'], _postcssModulesExtractImports2['default'], _postcssModulesScope2['default']],

  load: function load(sourceString, sourcePath, trace, pathFetcher) {
    var parser = new _parser2['default'](pathFetcher, trace);

    return (0, _postcss2['default'])(this.plugins.concat([parser.plugin])).process(sourceString, { from: '/' + sourcePath }).then(function (result) {
      return { injectableSource: result.css, exportTokens: parser.exportTokens };
    });
  }
};
module.exports = exports['default'];